One Netbook ONEXPLAYER 1S Gaming Handheld

David Savage

Well-Known Member
Aug 3, 2014
2,759
1,014
113
Somewhere over the rainbow
I have this box and been running fine, yes I've lost some add-ons due to dependancies not meet. At this present time its running Kodi (xbmc) Frodo 12.3 Lunix version for the Media Centre Edition, witch boots straight to Kodi.
My question is...can this box coup with Kodi 15 isengard....there's been a few people recently with similar boxes trying to update and there boxes becoming bricked.
But on your main site it does state for all boxes, I believe some builds are best for specific boxes. Like the imx6 box works best with 13.2Gotham build..but any higher can cause issues.
I think this might help people then decide if they what to move to another box and leave the old version as is and not bricking the devices.

Thanks
 
  • Like
Reactions: Sal

ChrisM

Guest
Staff member
Jul 15, 2014
4,188
672
113
Cardiff, UK
ChrisMerriman.com
MCE devices are just openELEC, so the Android builds of Kodi won't install on there. Higher that 12/13 non-Android builds of Kodi might be ok on the iMX6.
If 3rd party firmwares are of interest, 14.1 at http://forum.xda-developers.com/android/development/rom-openelec-amlogic-based-tv-boxes-t2832289 is available. I'd assume it was the MX2/G18 build, but don't know for certain. Note to anyone else: flashing non-DroidBOX firmware to your device will end your warranty cover.
 
  • Like
Reactions: David Savage

ChrisM

Guest
Staff member
Jul 15, 2014
4,188
672
113
Cardiff, UK
ChrisMerriman.com
I've missed being here. Now we have more staff that are trained up, I'm hoping to get back to normal attendance here in the forum. Will keep this short as I have a lot of threads to catch up on. Going back a couple of months to try and check for any threads that weren't covered by other members of staff, or could do with a nudge.
 
GPD WIN Max 2021 Release